diff -r 268ad8e747c8 -r 79a96eefa515 src/libmpeg2/motion_comp_altivec.c
--- a/src/libmpeg2/motion_comp_altivec.c	Mon Jun 25 13:05:45 2007 +0200
+++ b/src/libmpeg2/motion_comp_altivec.c	Wed Jul 04 03:09:58 2007 +0300
@@ -1116,8 +102,8 @@ void MC_put_o_16_altivec (unsigned char 
     vec_st (tmp, stride, dest);
 }
 
-void MC_put_o_8_altivec (unsigned char * dest, unsigned char * ref,
-			 int stride, int height)
+static void MC_put_o_8_altivec (uint8_t * dest, const uint8_t * ref,
+				const int stride, int height)
 {
     vector_u8_t perm0, perm1, tmp0, tmp1, ref0, ref1;
 
@@ -1163,8 +149,8 @@ void MC_put_o_8_altivec (unsigned char *
     vec_ste ((vector_u32_t)tmp1, 4, (unsigned int *)dest);
 }
 
-void MC_put_x_16_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_put_x_16_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t permA, permB, ref0, ref1, tmp;
 
@@ -1204,8 +190,8 @@ void MC_put_x_16_altivec (unsigned char 
     vec_st (tmp, stride, dest);
 }
 
-void MC_put_x_8_altivec (unsigned char * dest, unsigned char * ref,
-			 int stride, int height)
+static void MC_put_x_8_altivec (uint8_t * dest, const uint8_t * ref,
+				const int stride, int height)
 {
     vector_u8_t perm0A, perm0B, perm1A, perm1B, ones, tmp0, tmp1, ref0, ref1;
 
@@ -1258,8 +244,8 @@ void MC_put_x_8_altivec (unsigned char *
     vec_ste ((vector_u32_t)tmp1, 4, (unsigned int *)dest);
 }
 
-void MC_put_y_16_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_put_y_16_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t perm, ref0, ref1, tmp0, tmp1, tmp;
 
@@ -1302,8 +288,8 @@ void MC_put_y_16_altivec (unsigned char 
     vec_st (tmp, stride, dest);
 }
 
-void MC_put_y_8_altivec (unsigned char * dest, unsigned char * ref,
-			 int stride, int height)
+static void MC_put_y_8_altivec (uint8_t * dest, const uint8_t * ref,
+				const int stride, int height)
 {
     vector_u8_t perm0, perm1, tmp0, tmp1, tmp, ref0, ref1;
 
@@ -1357,8 +343,8 @@ void MC_put_y_8_altivec (unsigned char *
     vec_ste ((vector_u32_t)tmp, 4, (unsigned int *)dest);
 }
 
-void MC_put_xy_16_altivec (unsigned char * dest, unsigned char * ref,
-			   int stride, int height)
+static void MC_put_xy_16_altivec (uint8_t * dest, const uint8_t * ref,
+				  const int stride, int height)
 {
     vector_u8_t permA, permB, ref0, ref1, A, B, avg0, avg1, xor0, xor1, tmp;
     vector_u8_t ones;
@@ -1387,7 +373,6 @@ void MC_put_xy_16_altivec (unsigned char
     tmp = vec_sub (vec_avg (avg0, avg1),
 		   vec_and (vec_and (ones, vec_or (xor0, xor1)),
 			    vec_xor (avg0, avg1)));
-
 
     do {
 	ref0 = vec_ld (0, ref);
@@ -1429,8 +414,8 @@ void MC_put_xy_16_altivec (unsigned char
     vec_st (tmp, stride, dest);
 }
 
-void MC_put_xy_8_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_put_xy_8_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t perm0A, perm0B, perm1A, perm1B, ref0, ref1, A, B;
     vector_u8_t avg0, avg1, xor0, xor1, tmp, ones;
@@ -1448,7 +433,7 @@ void MC_put_xy_8_altivec (unsigned char 
     height = (height >> 1) - 1;
 
     ref0 = vec_ld (0, ref);
-    ref1 = vec_ld (16, ref);
+    ref1 = vec_ld (8, ref);
     ref += stride;
     A = vec_perm (ref0, ref1, perm0A);
     B = vec_perm (ref0, ref1, perm0B);
@@ -1456,7 +441,7 @@ void MC_put_xy_8_altivec (unsigned char 
     xor0 = vec_xor (A, B);
 
     ref0 = vec_ld (0, ref);
-    ref1 = vec_ld (16, ref);
+    ref1 = vec_ld (8, ref);
     ref += stride;
     A = vec_perm (ref0, ref1, perm1A);
     B = vec_perm (ref0, ref1, perm1B);
@@ -1466,10 +451,9 @@ void MC_put_xy_8_altivec (unsigned char 
 		   vec_and (vec_and (ones, vec_or (xor0, xor1)),
 			    vec_xor (avg0, avg1)));
 
-
-    do {
-	ref0 = vec_ld (0, ref);
-	ref1 = vec_ld (16, ref);
+    do {
+	ref0 = vec_ld (0, ref);
+	ref1 = vec_ld (8, ref);
 	ref += stride;
 	vec_ste ((vector_u32_t)tmp, 0, (unsigned int *)dest);
 	vec_ste ((vector_u32_t)tmp, 4, (unsigned int *)dest);
@@ -1483,7 +467,7 @@ void MC_put_xy_8_altivec (unsigned char 
 				vec_xor (avg0, avg1)));
 
 	ref0 = vec_ld (0, ref);
-	ref1 = vec_ld (16, ref);
+	ref1 = vec_ld (8, ref);
 	ref += stride;
 	vec_ste ((vector_u32_t)tmp, 0, (unsigned int *)dest);
 	vec_ste ((vector_u32_t)tmp, 4, (unsigned int *)dest);
@@ -1498,7 +482,7 @@ void MC_put_xy_8_altivec (unsigned char 
     } while (--height);
 
     ref0 = vec_ld (0, ref);
-    ref1 = vec_ld (16, ref);
+    ref1 = vec_ld (8, ref);
     vec_ste ((vector_u32_t)tmp, 0, (unsigned int *)dest);
     vec_ste ((vector_u32_t)tmp, 4, (unsigned int *)dest);
     dest += stride;
@@ -1514,8 +498,8 @@ void MC_put_xy_8_altivec (unsigned char 
 }
 
 #if 0
-void MC_put_xy_8_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_put_xy_8_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t permA, permB, ref0, ref1, A, B, C, D, tmp, zero, ones;
     vector_u16_t splat2, temp;
@@ -1529,12 +513,12 @@ void MC_put_xy_8_altivec (unsigned char 
 
     do {
 	ref0 = vec_ld (0, ref);
-	ref1 = vec_ld (16, ref);
+	ref1 = vec_ld (8, ref);
 	ref += stride;
 	A = vec_perm (ref0, ref1, permA);
 	B = vec_perm (ref0, ref1, permB);
 	ref0 = vec_ld (0, ref);
-	ref1 = vec_ld (16, ref);
+	ref1 = vec_ld (8, ref);
 	C = vec_perm (ref0, ref1, permA);
 	D = vec_perm (ref0, ref1, permB);
 
@@ -1553,8 +537,8 @@ void MC_put_xy_8_altivec (unsigned char 
 }
 #endif
 
-void MC_avg_o_16_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_avg_o_16_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t perm, ref0, ref1, tmp, prev;
 
@@ -1593,8 +577,8 @@ void MC_avg_o_16_altivec (unsigned char 
     vec_st (tmp, stride, dest);
 }
 
-void MC_avg_o_8_altivec (unsigned char * dest, unsigned char * ref,
-			 int stride, int height)
+static void MC_avg_o_8_altivec (uint8_t * dest, const uint8_t * ref,
+				const int stride, int height)
 {
     vector_u8_t perm0, perm1, tmp0, tmp1, ref0, ref1, prev;
 
@@ -1644,8 +628,8 @@ void MC_avg_o_8_altivec (unsigned char *
     vec_ste ((vector_u32_t)tmp1, 4, (unsigned int *)dest);
 }
 
-void MC_avg_x_16_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_avg_x_16_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t permA, permB, ref0, ref1, tmp, prev;
 
@@ -1689,8 +673,8 @@ void MC_avg_x_16_altivec (unsigned char 
     vec_st (tmp, stride, dest);
 }
 
-void MC_avg_x_8_altivec (unsigned char * dest, unsigned char * ref,
-			 int stride, int height)
+static void MC_avg_x_8_altivec (uint8_t * dest, const uint8_t * ref,
+				const int stride, int height)
 {
     vector_u8_t perm0A, perm0B, perm1A, perm1B, ones, tmp0, tmp1, ref0, ref1;
     vector_u8_t prev;
@@ -1748,8 +732,8 @@ void MC_avg_x_8_altivec (unsigned char *
     vec_ste ((vector_u32_t)tmp1, 4, (unsigned int *)dest);
 }
 
-void MC_avg_y_16_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_avg_y_16_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t perm, ref0, ref1, tmp0, tmp1, tmp, prev;
 
@@ -1796,8 +780,8 @@ void MC_avg_y_16_altivec (unsigned char 
     vec_st (tmp, stride, dest);
 }
 
-void MC_avg_y_8_altivec (unsigned char * dest, unsigned char * ref,
-			 int stride, int height)
+static void MC_avg_y_8_altivec (uint8_t * dest, const uint8_t * ref,
+				const int stride, int height)
 {
     vector_u8_t perm0, perm1, tmp0, tmp1, tmp, ref0, ref1, prev;
 
@@ -1855,8 +839,8 @@ void MC_avg_y_8_altivec (unsigned char *
     vec_ste ((vector_u32_t)tmp, 4, (unsigned int *)dest);
 }
 
-void MC_avg_xy_16_altivec (unsigned char * dest, unsigned char * ref,
-			   int stride, int height)
+static void MC_avg_xy_16_altivec (uint8_t * dest, const uint8_t * ref,
+				  const int stride, int height)
 {
     vector_u8_t permA, permB, ref0, ref1, A, B, avg0, avg1, xor0, xor1, tmp;
     vector_u8_t ones, prev;
@@ -1886,7 +870,6 @@ void MC_avg_xy_16_altivec (unsigned char
     tmp = vec_avg (prev, vec_sub (vec_avg (avg0, avg1),
 				  vec_and (vec_and (ones, vec_or (xor0, xor1)),
 					   vec_xor (avg0, avg1))));
-
 
     do {
 	ref0 = vec_ld (0, ref);
@@ -1933,8 +916,8 @@ void MC_avg_xy_16_altivec (unsigned char
     vec_st (tmp, stride, dest);
 }
 
-void MC_avg_xy_8_altivec (unsigned char * dest, unsigned char * ref,
-			  int stride, int height)
+static void MC_avg_xy_8_altivec (uint8_t * dest, const uint8_t * ref,
+				 const int stride, int height)
 {
     vector_u8_t perm0A, perm0B, perm1A, perm1B, ref0, ref1, A, B;
     vector_u8_t avg0, avg1, xor0, xor1, tmp, ones, prev;
@@ -1952,7 +935,7 @@ void MC_avg_xy_8_altivec (unsigned char 
     height = (height >> 1) - 1;
 
     ref0 = vec_ld (0, ref);
-    ref1 = vec_ld (16, ref);
+    ref1 = vec_ld (8, ref);
     ref += stride;
     A = vec_perm (ref0, ref1, perm0A);
     B = vec_perm (ref0, ref1, perm0B);
@@ -1960,7 +943,7 @@ void MC_avg_xy_8_altivec (unsigned char 
     xor0 = vec_xor (A, B);
 
     ref0 = vec_ld (0, ref);
-    ref1 = vec_ld (16, ref);
+    ref1 = vec_ld (8, ref);
     ref += stride;
     prev = vec_ld (0, dest);
     A = vec_perm (ref0, ref1, perm1A);
@@ -1971,10 +954,9 @@ void MC_avg_xy_8_altivec (unsigned char 
 				  vec_and (vec_and (ones, vec_or (xor0, xor1)),
 					   vec_xor (avg0, avg1))));
 
-
-    do {
-	ref0 = vec_ld (0, ref);
-	ref1 = vec_ld (16, ref);
+    do {
+	ref0 = vec_ld (0, ref);
+	ref1 = vec_ld (8, ref);
 	ref += stride;
 	prev = vec_ld (stride, dest);
 	vec_ste ((vector_u32_t)tmp, 0, (unsigned int *)dest);
@@ -1990,7 +972,7 @@ void MC_avg_xy_8_altivec (unsigned char 
 					 vec_xor (avg0, avg1))));
 
 	ref0 = vec_ld (0, ref);
-	ref1 = vec_ld (16, ref);
+	ref1 = vec_ld (8, ref);
 	ref += stride;
 	prev = vec_ld (stride, dest);
 	vec_ste ((vector_u32_t)tmp, 0, (unsigned int *)dest);
@@ -2007,7 +989,7 @@ void MC_avg_xy_8_altivec (unsigned char 
     } while (--height);
 
     ref0 = vec_ld (0, ref);
-    ref1 = vec_ld (16, ref);
+    ref1 = vec_ld (8, ref);
     prev = vec_ld (stride, dest);
     vec_ste ((vector_u32_t)tmp, 0, (unsigned int *)dest);
     vec_ste ((vector_u32_t)tmp, 4, (unsigned int *)dest);
@@ -2025,7 +1007,4 @@ void MC_avg_xy_8_altivec (unsigned char 
 
 MPEG2_MC_EXTERN (altivec)
 
-#endif /* ENABLE_ALTIVEC */
-
-#endif	/* HOST_OS_DARWIN */
-
+#endif
